                <div class="module">Datenexport</div>
<?php
  // Exportiere Daten auf Anfrage
  if ($export)
  {
      exportCSV($gesamtexport);
      $loggedIn->log('datenexport', $loggedIn->userId);
  }


  if ($deletefiles)
  {
      foreach ($deletefiles as $deletefile)
      {
          $path = $exportpath . '/old/' . $deletefile;
          if (file_exists($path)) {
              unlink($path);
              print "Gel&ouml;scht: $deletefile<br/>\n";
          }
      }
  }

  $myDir = opendir("$exportpath/old");
  $files = array();
  while ($filename = readdir($myDir))
  {
      if (filetype("$exportpath/old/$filename") == "file")
      #if (!(preg_match("/^\\./", $filename)))
      {
          array_push($files, $filename);
      }
  }
  closedir($myDir);
  sort($files);
?>
<?php
if ($files): ?>
                <br />
                
                <form action="<?=filter_input(INPUT_SERVER, 'PHP_SELF');?>" method="POST">
                    Folgende Dateien <?=$action=='u18'?'(U18)':''?> stehen zum Herunterladen bereit:<br><br>
                    <input type="hidden" name="module" value="<?=$module?>" />
                    <input type="hidden" name="action" value="<?=$action?>" />
                  <fieldset class="fieldset"><legend>Exportierte Dateien (alt/gel&ouml;scht)</legend>
                    Folgende Dateien stehen zum Herunterladen bereit:<br><br>
                    <table>
                    <tr><td>Dateiname</td><td>Zum L&ouml;schen vormerken</td></tr>
<?php
  foreach($files as $file) :
      $lines = `cat $exportpath/old/$file| wc -l`;
?>
                      <tr>
                        <td>
                          <a href="/admin/downloadcsv.php?file=old/<?=$file?>"><?=$file?></a> (<?=$lines?> Eintr&auml;ge)
                        </td>
                        <td>
                          <input class="inputradio" type="checkbox" name="deletefiles[]" value="<?=$file?>" title="Datei zum L&ouml;schen markieren" />
                        </td>
                      </tr>
<?php endforeach; ?>
                    </table>
                    <input type="submit" name="delete" class="inputsubmit" value="Dateien endg&uuml;ltig l&ouml;schen" /><br />
                  </fieldset>
<?php 
else : ?>
No Files. 
<?php 
endif ?>
